<?php
/* front-page.php Displays The Front Page */
get_header();
$options = anatomy_options(); ?>

<?php if ( !is_paged() ) : ?>
<div class="front-page-columns">
  <?php dynamic_sidebar( 'front-page-columns' ); ?>
</div>
<?php endif; ?>

<div class="twelve columns">
  <?php
    /* Customize the type of posts displayed using options. */
    $homepage = anatomy_options( 'homepage' );
    if ( isset( $homepage['post_type'] ) && $homepage['post_type'] != 'post' ) :
      // Alternate post_type here
      $post_types = get_posts( array(
        'post_type' => $homepage['post_type']
      ) );
      foreach ( $post_types as $post ) : setup_postdata( $post );
        get_template_part( 'loop', 'posts' );
      endforeach; 
   else :
   if (have_posts()) :
     while (have_posts()) : the_post();
     $display = get_site_option('show_on_front');
     // This is the loop...
      if ( $display == 'posts' ) {
        $format = get_post_format() ? get_post_format() . '_excerpt' : 'posts';
        get_template_part( 'loop', $format );
      } elseif ( $display == 'page' ) {
        $format = get_post_format() ? get_post_format() : 'single';
        get_template_part( 'loop', $format );
      }
     // End the loop.
     endwhile;
  endif; ?>
  <div class="nine columns offset-by-three">
    <?php
      if ( function_exists( anatomy_pagination() ) ) {
        anatomy_pagination();
      } else {
        wp_link_pages();
      }
    ?>
  </div>
  <?php endif; // Ending alternate home page post_type ?>
</div>

<div class="four columns">
  <ul>
    <?php dynamic_sidebar( 'normal-sidebar' ); ?>
  </ul>
</div>

<?php get_footer(); ?>